Bug 723472 - Review Request: rubygem-aws-sdk - AWS SDK for Ruby
Summary: Review Request: rubygem-aws-sdk - AWS SDK for Ruby
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Michal Fojtik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-20 10:09 UTC by Marek Goldmann
Modified: 2015-01-30 15:13 UTC (History)
5 users (show)

Fixed In Version: rubygem-aws-sdk-1.0.2-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-20 12:23:53 UTC
mfojtik: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Marek Goldmann 2011-07-20 10:09:22 UTC
Spec URL: http://goldmann.fedorapeople.org/package_review/rubygem-aws-sdk/1/rubygem-aws-sdk.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/rubygem-aws-sdk/1/rubygem-aws-sdk-1.0.1-1.fc15.src.rpm

Description:

Build Ruby applications with the aws-sdk gem that takes the complexity
out of coding directly against the web service interfaces. The gem handles
common tasks, such as authentication, request retries, XML processing,
error handling, and more.

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3214121

$ rpmlint ~/rpmbuild/SRPMS/rubygem-aws-sdk-1.0.1-1.fc15.src.rpm 
rubygem-aws-sdk.src: I: enchant-dictionary-not-found en_US
rubygem-aws-sdk.src: W: no-%build-section
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint ./rubygem-aws-sdk.spec 
./rubygem-aws-sdk.spec: W: no-%build-section
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

Comment 1 Michal Fojtik 2011-07-20 10:13:30 UTC
Taking this for a review.

Comment 2 Michal Fojtik 2011-07-20 10:23:37 UTC
[ OK ] Packages that contain Ruby Gems must be called rubygem-%{gemname} where gemname

[ OK ] The Source of the package must be the full URL to the released Gem archive; the version of the package must be the Gem's version

[ OK ] Package has proper license (ASL 2.0)

[ OK ] The package must have a Requires and a BuildRequires on rubygems

[ OK? ] The %prep and %build sections of the specfile should be empty.

%build section is missing, but I though it's OK, since it's not required.

[ OK ] The Gem must be installed into %{gemdir} defined as %global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)

[ OK ] The package must own the following files and directories:

%{gemdir}/gems/%{gemname}-%{version}/
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

[ OK] Architecture-specific content must not be installed into %{gemdir}

There is no architecture specific content.

[ OK] If the Gem only contains pure Ruby code, it must be marked as BuildArch: noarch.

Marked properly.

[ OK ] If the Gem contains  binary content (e.g., for a database driver), it must be marked as architecture specific, and all architecture specific content must be moved from the %{gemdir} to the [#ruby_sitearch %{ruby_sitearch} directory] during %install

This gem include only SSL certificate, which is not architecture specific.


All clear to go so APPROVED. Nice work Marek!

Comment 3 Marek Goldmann 2011-07-20 10:48:22 UTC
Michal, thank you for this review!

New Package SCM Request
=======================
Package Name: rubygem-aws-sdk
Short Description: AWS SDK for Ruby
Owners: goldmann
Branches: f14 f15 el5 el6

Comment 4 Gwyn Ciesla 2011-07-20 11:55:00 UTC
Git done (by process-git-requests).

Michal, in the future, please take ownership of review bugs you're working
on.  Thanks!

Comment 5 Marek Goldmann 2011-07-20 12:23:53 UTC
Thank you for review and git!

Comment 6 Gwyn Ciesla 2011-07-20 12:38:11 UTC
Why was the cvs flag set again?

Comment 7 Marek Goldmann 2011-07-20 12:44:35 UTC
TBH, I don't know - maybe it was in browser cache.

Comment 8 Fedora Update System 2011-07-20 16:22:38 UTC
rubygem-aws-sdk-1.0.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rubygem-aws-sdk-1.0.1-1.fc14

Comment 9 Fedora Update System 2011-07-20 16:22:46 UTC
rubygem-aws-sdk-1.0.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/rubygem-aws-sdk-1.0.1-1.fc15

Comment 10 Fedora Update System 2011-07-20 16:22:53 UTC
rubygem-aws-sdk-1.0.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/rubygem-aws-sdk-1.0.1-1.el6

Comment 11 Fedora Update System 2011-07-26 14:26:43 UTC
rubygem-aws-sdk-1.0.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rubygem-aws-sdk-1.0.2-1.fc14

Comment 12 Fedora Update System 2011-07-26 14:26:53 UTC
rubygem-aws-sdk-1.0.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/rubygem-aws-sdk-1.0.2-1.el6

Comment 13 Fedora Update System 2011-07-26 14:27:02 UTC
rubygem-aws-sdk-1.0.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/rubygem-aws-sdk-1.0.2-1.fc15

Comment 14 Fedora Update System 2011-08-02 00:33:22 UTC
rubygem-aws-sdk-1.0.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 15 Fedora Update System 2011-08-02 01:51:55 UTC
rubygem-aws-sdk-1.0.2-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 16 Fedora Update System 2011-08-02 02:08:01 UTC
rubygem-aws-sdk-1.0.2-1.fc14 has been pushed to the Fedora 14 stable repository.

Comment 17 Brett Lentz 2015-01-29 19:32:04 UTC
Package Change Request
======================
Package Name: pkgname
New Branches: epel7
Owners: blentz goldmann

Comment 18 Gwyn Ciesla 2015-01-29 20:46:28 UTC
Invalid package name.

Comment 19 Brett Lentz 2015-01-29 20:47:29 UTC
Gah. Sorry. Copy/Paste error.


Package Change Request
======================
Package Name: rubygem-aws-sdk
New Branches: epel7
Owners: blentz goldmann

Comment 20 Gwyn Ciesla 2015-01-30 14:00:46 UTC
blentz is not in the packager group.

Comment 21 Brett Lentz 2015-01-30 14:59:57 UTC
Oh, right. FAS username. Duh.

Package Change Request
======================
Package Name: rubygem-aws-sdk
New Branches: epel7
Owners: wakko666 goldmann

Comment 22 Gwyn Ciesla 2015-01-30 15:13:33 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.